<?

$cena=1000;
if(isset($_POST['name']))
{
$name=$_POST['name'];
if($mc['money']<$cena)
{
no_money_ct($money-$mc['money']);
}
elseif(strlen2($name)<2 || strlen2($name)>24)echo err_game("Длина названия должна быть от 2 до 24 символов.");
elseif(mysql_result(mysql_query("SELECT COUNT(*) FROM `kolhoz_collective` WHERE `name` = '".my_esc($_POST['name'])."' AND `id` != '$ct[id]'"),0)!=0)err_game("Введённое название уже занято.");
elseif(my_esc($name)==$ct['name'])err_game("Выберите другое имя.");
else
{
mysql_query("UPDATE `kolhoz_collective` SET `name` = '".my_esc($name)."', `money` = '".($mc['money']-$cena)."' WHERE `id` = '$mc[id]'");
header("Location:?mycollective");
exit;
}
}
echo '<div class="event"><h1>Переименование колхоза '.hsc($mc['name']).'</h1></div>
<div class="content">
<div class="block">';
?>
<form action="" method="post">
<label>
Название:<br/>
<input type="text" class="wide" value="" name="name"><br/>
</label>
<input type="submit" value="Переименовать">
</form>
<div class="small">Цена: <img width="16" height="16" src="img/icons/money.png" alt="o"> <span class="title"><? echo $cena; ?></span> монет.</div>
</div>
<?
include_once 'inc/foot.php';
?>